APIPod Docs
HomeModels
Language
Language
  • 中文
  • English
HomeModels
Language
Language
  • 中文
  • English
  1. Nano Banana
  • Getting Started with APIPod API
  • Image Models
    • Nano Banana
      • Nano Banana 2
        POST
      • Nano Banana Pro
        POST
    • Seedream 4.5
      • Seedream V4.5 Text to Image
      • Seedream V4.5 Image to Image
    • Seedream 5.0 Lite
      • Seedream 5.0 Lite Text to Image
      • Seedream 5.0 Lite Image to Image
    • WAN 2.7
      • WAN 2.7 Text to Image
      • WAN 2.7 Image to Image
      • WAN 2.7 Text to Image Pro
      • WAN 2.7 Image to Image Pro
    • Query Image Task
      GET
  • Video Models
    • Veo 3.1
      • Veo 3.1 Fast
    • Seedance 2.0
      • Seedance 2.0 Text to Video
      • Seedance 2.0 Image to Video
      • Seedance 2.0 Reference to Video
      • Seedance 2.0 Fast Text to Video
      • Seedance 2.0 Fast Image to Video
      • Seedance 2.0 Fast Reference to Video
  • Schemas
    • NanoBanana
    • Seedream4.5
    • Seedream5.0
    • SubmitTaskResponse
    • TaskDetailResponse
    • WAN2.7Image
    • WAN2.7ImageEdit
    • WAN2.7ImagePro
    • WAN2.7ImageEditPro
    • Veo3.1Fast
    • Seedance2.0TextToVideo
    • Seedance2.0ImageToVideo
    • Seedance2.0ReferenceToVideo
    • Seedance2.0FastTextToVideo
    • Seedance2.0FastImageToVideo
    • Seedance2.0FastReferenceToVideo
  1. Nano Banana

Nano Banana Pro

POST
https://api.apipod.ai/v1/images/generations
nano banana
Last modified:2026-04-04 13:23:29
Built upon the robust architecture of Gemini 3 Pro, Nano Banana Pro (Gemini 3 Pro Image Preview) stands as Google’s flagship solution for image generation and editing.

Query Task Details#

After submitting a task, you can check the task progress and obtain the generated results through the unified query endpoint:
Get Image Task Details
Learn how to query task status and obtain generated results
In a production environment, it is recommended to use the callback_url parameter to receive automatic notifications upon generation completion instead of polling the status endpoint.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200成功
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.apipod.ai/v1/images/generations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "model": "nano-banana-pro",
  "aspect_ratio": "1:1",
  "prompt": "A humanoid figure with a vintage television set for a head, featuring a green-tinted screen displaying a `Hello APIPod.ai` writing in ASCII font. The figure is wearing a yellow raincoat, and there are various wires and components attached to the television. The background is cloudy and indistinct, suggesting an outdoor setting",
  "image_urls": [],
  "quality": "1K",
  "callback_url": "https://www.apipod.ai/demo/callback"
}'
Response Response Example
{
    "code": 200,
    "message": "string",
    "data": {
        "task_id": "string"
    }
}
Modified at 2026-04-04 13:23:29
Previous
Nano Banana 2
Next
Seedream V4.5 Text to Image
Built with